<template>
  <div class="inputs" ref="inputs" style="width: 100%;">
    <ht-file
      v-model="inputVal"
      :name="inputName"
      :size="size"
      :limit="limits"
      multiple
      :propConfList="propConfList"
      :beforeUpload="beforeAvatarUpload"
      :onSuccess="onSuccess"
      ref="upload"
      @download="download"
      @preview="preview"
    />
   
  </div>
</template>

<script>
export default {
  name: "Attachment",
  data() {
      return {
          inputVal: "",
          inputName:"",
          size:1024,
          limits:10,
          actionUrl:"http://www.hotent.xyz:8093/system/file/v1/upload",
          propConfList:[],
          header:{Authorization: "Bearer eyJhbGciOiJIUzUxMiJ9.eyJzdWIiOiJhZG1pbiIsInRlbmFudElkIjoiLTEiLCJleHAiOjE2MDQ5Nzg3MTQsImlhdCI6MTYwNDg5MjMxNH0.z4iVh-Q1htT2BdU42cVQSsN2zXmk8rVQB7nIqjCu15yb5lrs_CFN7cIr_Cb5cIBzUxKpbP5HEsoLt0R95Jkz9Q"}
      }
  },
  methods: {
      beforeAvatarUpload() {
          
      },
      onSuccess(){

      },
      download(){

      },
      preview(file){
          console.log(file )
      }
  },
};
</script>

<style lang="scss" scoped></style>
